## recoil-3.3.0.tar.gz

=== Makefile ===
PREFIX = /usr/local
MAGICK_VERSION     := $(shell MagickCore-config --version 2>/dev/null)
ifdef MAGICK_VERSION
MAGICK_CFLAGS      := $(shell MagickCore-config --cflags --cppflags) -fPIC
MAGICK_LDFLAGS     := $(shell MagickCore-config --ldflags)
MAGICK_LIBS        := $(shell MagickCore-config --libs)
MAGICK_PREFIX      := $(shell MagickCore-config --prefix)
MAGICK_CODER_PATH  := $(wildcard $(MAGICK_PREFIX)/lib/ImageMagick-$(word 1,$(MAGICK_VERSION))/modules-$(word 2,$(MAGICK_VERSION))/coders)
MAGICK_CONFIG_PATH := $(wildcard $(shell MagickCore-config --exec-prefix)/etc/ImageMagick)
CAN_INSTALL_MAGICK := $(and $(MAGICK_CODER_PATH),$(MAGICK_CONFIG_PATH))
endif

CITO = cito
CC = gcc 
CFLAGS = -s -O2 -Wall
INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

FORMATS    = GR8 HIP MIC INT TIP INP HR GR9 PIC CPR CIN CCI APC PLM AP3 ILC RIP FNT SXS MCP GHG HR2 MCH IGE 256 AP2 JGP DGP ESC PZM IST RAW RGB MGP WND CHR SHP MBG FWA RM0 RM1 RM2 RM3 RM4 XLP MAX SHC ALL APP SGE DLM BKG G09 BG9 APV SPC APL GR7 G10 G11 ART DRG AGP PLA MIS 4PL 4MI 4PM PGF PGC PI1 PI2 PI3 PC1 PC2 PC3 NEO DOO SPU TNY TN1 TN2 TN3 CA1 CA2 CA3 ING PAC SPS GFB PI4 PI9 DGU DG1 TRP TRU GOD FTC DEL DPH IPC NLQ PMD ACS PCS HPM MCS A4R DC1 DGC CPT IFF BL1 BL2 BL3 BRU IP2 IMN ICN DIN VZI IRG IR2 ICE IMG XIMG MPP SCR MC MG1 MG2 MG4 MG8 ATR IFL CH4 CH6 CH8 LEO ACBM ZXP HLR LBM CDU CHE CWG DD DOL DRZ FGS FPT GCD GIG GIH HBM HED HIR IPH IPT ISM KOA MIL MON OCP P64 PI PMG RP RPM SAR VID SIF DRL MCI AMI GG JJ 64C AFL BFLI BML DLP DRP ECI FFLI FLI FP2 FUN GUN HFC ECP DGI LUM BGP HPC AAS HLF HIM LP3 IHE HAM6 HAM8 3 MAC SCS4 4BT SC8 SR8 SC2 GRP FD2 VIC MLE RYS SCC SRS SCA HGB P4I INFO DUO PL4 P HCI MCPP DU1 DU2 BB0 BB1 BB2 BB4 BB5 BBG EPA MSP HGR DHR SHR A64 WIG MLT KLA CUT TXS SR5 SR7 WIN GE5 SC5 SC7 YJK GE7 SPR CPI RAP HRS CHS KPR LDM P41 CLP P11 GRF PIX
FORMATS_LC = gr8 hip mic int tip inp hr gr9 pic cpr cin cci apc plm ap3 ilc rip fnt sxs mcp ghg hr2 mch ige 256 ap2 jgp dgp esc pzm ist raw rgb mgp wnd chr shp mbg fwa rm0 rm1 rm2 rm3 rm4 xlp max shc all app sge dlm bkg g09 bg9 apv spc apl gr7 g10 g11 art drg agp pla mis 4pl 4mi 4pm pgf pgc pi1 pi2 pi3 pc1 pc2 pc3 neo doo spu tny tn1 tn2 tn3 ca1 ca2 ca3 ing pac sps gfb pi4 pi9 dgu dg1 trp tru god ftc del dph ipc nlq pmd acs pcs hpm mcs a4r dc1 dgc cpt iff bl1 bl2 bl3 bru ip2 imn icn din vzi irg ir2 ice img ximg mpp scr mc mg1 mg2 mg4 mg8 atr ifl ch4 ch6 ch8 leo acbm zxp hlr lbm cdu che cwg dd dol drz fgs fpt gcd gig gih hbm hed hir iph ipt ism koa mil mon ocp p64 pi pmg rp rpm sar vid sif drl mci ami gg jj 64c afl bfli bml dlp drp eci ffli fli fp2 fun gun hfc ecp dgi lum bgp hpc aas hlf him lp3 ihe ham6 ham8 3 mac scs4 4bt sc8 sr8 sc2 grp fd2 vic mle rys scc srs sca hgb p4i info duo pl4 p hci mcpp du1 du2 bb0 bb1 bb2 bb4 bb5 bbg epa msp hgr dhr shr a64 wig mlt kla cut txs sr5 sr7 win ge5 sc5 sc7 yjk ge7 spr cpi rap hrs chs kpr ldm p41 clp p11 grf pix

nullstring :=
space := $(nullstring) # need exactly one space after $(nullstring)

all: recoil2png $(if $(CAN_INSTALL_MAGICK),imagemagick/recoil.so) recoil-mime.xml

recoil2png: recoil2png.c pngsave.c pngsave.h recoil-stdio.c recoil-stdio.h recoil.c recoil.h
	$(CC) $(CFLAGS) recoil2png.c pngsave.c recoil-stdio.c recoil.c -lpng -lz -o $@

ifdef CAN_INSTALL_MAGICK
imagemagick/recoil.so: imagemagick/recoilmagick.c recoil.c recoil.h
ifdef MAGICK_INCLUDE_PATH
	$(CC) $(CFLAGS) $(MAGICK_CFLAGS) -I"$(MAGICK_INCLUDE_PATH)" imagemagick/recoilmagick.c recoil.c \
		-shared $(MAGICK_LDFLAGS) -ldl $(MAGICK_LIBS) -o $@;
else
	@echo "\nDetected ImageMagick version $(MAGICK_VERSION) on your system."; \
	echo "To build RECOIL coder for ImageMagick,\nspecify path to ImageMagick sources, e.g.:"; \
	echo "$ make MAGICK_INCLUDE_PATH=/path/to/im/source\n";
endif
endif

formats.h: formats.h.xsl formats.xml
	xsltproc -o $@ formats.h.xsl formats.xml

# http://www.cmcrossroads.com/article/rules-multiple-outputs-gnu-make
%.c %.h: %.ci atari8.fnt altirrapal.pal c16.pal zx81.fnt
	$(CITO) -o $*.c $<

benchmark: benchmark.c recoil-stdio.c recoil-stdio.h recoil.c recoil.h
	$(CC) $(CFLAGS) benchmark.c recoil-stdio.c recoil.c -o $@

clean:
	rm -f recoil2png imagemagick/recoil.so imagemagick/coder.xml.new formats.h recoil-mime.xml benchmark

install: install-thumbnailer $(if $(CAN_INSTALL_MAGICK),install-magick)

uninstall: uninstall-thumbnailer $(if $(CAN_INSTALL_MAGICK),uninstall-magick)

install-recoil2png: recoil2png
	mkdir -p $(PREFIX)/bin
	$(INSTALL_PROGRAM) recoil2png $(PREFIX)/bin/recoil2png

uninstall-recoil2png:
	rm -f $(PREFIX)/bin/recoil2png

ifdef CAN_INSTALL_MAGICK
install-magick: imagemagick/recoil.so
ifdef MAGICK_INCLUDE_PATH
	perl imagemagick/updatecoder.pl $(FORMATS) <$(MAGICK_CONFIG_PATH)/coder.xml >imagemagick/coder.xml.new; \
	mkdir -p "$(MAGICK_CODER_PATH)"; \
	$(INSTALL) imagemagick/recoil.so "$(MAGICK_CODER_PATH)/recoil.so"; \
	echo "dlname='recoil.so'" >"$(MAGICK_CODER_PATH)/recoil.la"; \
	mv imagemagick/coder.xml.new "$(MAGICK_CONFIG_PATH)"/coder.xml;
endif

uninstall-magick:
	perl imagemagick/updatecoder.pl <$(MAGICK_CONFIG_PATH)/coder.xml >imagemagick/coder.xml.new; \
	rm -f "$(MAGICK_CODER_PATH)/recoil.la" "$(MAGICK_CODER_PATH)/recoil.so"; \
	mv imagemagick/coder.xml.new "$(MAGICK_CONFIG_PATH)"/coder.xml;
endif

recoil-mime.xml: recoil-mime.xsl formats.xml
	xsltproc -o $@ recoil-mime.xsl formats.xml

install-mime: recoil-mime.xml
	mkdir -p $(PREFIX)/share/mime/packages
	$(INSTALL_DATA) recoil-mime.xml $(PREFIX)/share/mime/packages/recoil-mime.xml
ifndef BUILDING_PACKAGE
	update-mime-database $(PREFIX)/share/mime
endif

uninstall-mime:
	rm -f $(PREFIX)/share/mime/packages/recoil-mime.xml
	update-mime-database $(PREFIX)/share/mime

install-thumbnailer: install-mime install-recoil2png
	mkdir -p $(PREFIX)/share/thumbnailers
	(echo '[Thumbnailer Entry]' && echo 'Exec=recoil2png -o %o %i' && echo 'MimeType=$(subst $(space),;,$(FORMATS_LC:%=image/x-%))') >$(PREFIX)/share/thumbnailers/recoil.thumbnailer

uninstall-thumbnailer:
	rm -f $(PREFIX)/share/thumbnailers/recoil.thumbnailer

install-gnome2-thumbnailer: install-mime install-recoil2png
	for ext in $(FORMATS_LC); do \
		gconftool-2 --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults -s /desktop/gnome/thumbnailers/image@x-$$ext/command -t string 'recoil2png -o %o %i'; \
		gconftool-2 --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults -s /desktop/gnome/thumbnailers/image@x-$$ext/enable -t boolean true; \
	done

uninstall-gnome2-thumbnailer: uninstall-mime uninstall-recoil2png
	for ext in $(FORMATS_LC); do \
		gconftool-2 -u /desktop/gnome/thumbnailers/image@x-$$ext/command /desktop/gnome/thumbnailers/image@x-$$ext/enable; \
	done

deb:
	debuild -b -us -uc

missing-examples:
	@echo Missing examples for $(foreach EXT,$(FORMATS),$(if $(wildcard ../examples/*.$(EXT)),,$(EXT)))

.PHONY: all clean install uninstall install-recoil2png uninstall-recoil2png $(if $(CAN_INSTALL_MAGICK),install-magick uninstall-magick) install-mime uninstall-mime install-thumbnailer uninstall-thumbnailer install-gnome2-thumbnailer uninstall-gnome2-thumbnailer deb missing-examples

.DELETE_ON_ERROR:

=== android/Makefile ===
ANDROID_SDK = C:/bin/android-sdk-windows
ANDROID_JAR = $(ANDROID_SDK)/platforms/android-19/android.jar
ANDROID_BUILD_TOOLS = $(ANDROID_SDK)/build-tools/21.1.2

AAPT = $(ANDROID_BUILD_TOOLS)/aapt
DX = java -jar "$(ANDROID_BUILD_TOOLS)/lib/dx.jar" --no-strict
JARSIGNER = jarsigner -sigalg SHA1withRSA -digestalg SHA1
ZIPALIGN = $(ANDROID_BUILD_TOOLS)/zipalign
ADB = $(ANDROID_SDK)/platform-tools/adb
ANDROID = $(ANDROID_SDK)/tools/android.bat
EMULATOR = $(ANDROID_SDK)/tools/emulator

ANDROID_RELEASE = recoil-3.3.0-android.apk

all: $(ANDROID_RELEASE) recoil-1024x500.png

install-dev: $(ANDROID_RELEASE)
	$(ADB) -d install -r $<

install-emu: $(ANDROID_RELEASE)
	$(ADB) -e install -r $<

log-dev:
	$(ADB) -d logcat

$(ANDROID_RELEASE): AndroidRECOIL-unaligned.apk
	$(ZIPALIGN) -f 4 $< $@

AndroidRECOIL-unaligned.apk: AndroidRECOIL-unsigned.apk
	$(JARSIGNER) -storepass walsie -signedjar $@ $< pfusik

AndroidRECOIL-unsigned.apk: AndroidRECOIL-resources.apk classes.dex
	cp $< $@ && 7z a -mx=9 -bd -tzip $@ ./classes.dex

classes.dex: classes/net/sf/recoil/RECOIL.class
	$(DX) --dex --output=$@ classes

classes/net/sf/recoil/RECOIL.class: About.java FileSelector.java FileUtil.java GalleryAdapter.java JavaRECOIL.java Viewer.java gen/net/sf/recoil/RECOIL.java AndroidRECOIL-resources.apk
	mkdir -p classes && javac -d classes -bootclasspath $(ANDROID_JAR) About.java FileSelector.java FileUtil.java GalleryAdapter.java JavaRECOIL.java Viewer.java gen/net/sf/recoil/*.java

gen/net/sf/recoil/RECOIL.java: ../recoil.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../zx81.fnt
	mkdir -p $(@D) && cito -n net.sf.recoil -o $@ -I .. $<

AndroidRECOIL-resources.apk: AndroidManifest.xml res/drawable/ic_launcher.png res/layout/error.xml res/layout/filename_list_item.xml res/layout/gallery.xml \
	res/menu/file_selector.xml res/menu/viewer.xml res/values/strings.xml res/values-pl/strings.xml \
	assets/net/sf/recoil/atari8.fnt assets/net/sf/recoil/altirrapal.pal assets/net/sf/recoil/c16.pal assets/net/sf/recoil/zx81.fnt
	mkdir -p gen && $(AAPT) p -f -m -M $< -I $(ANDROID_JAR) -S res -F $@ -J gen assets

res/drawable/ic_launcher.png: ../recoil-512x512.png
	mkdir -p $(@D) && convert $< -resize 72x72 -quality 95 -strip $@

assets/net/sf/recoil/%: ../%
	mkdir -p $(@D) && cp $< $@

AndroidManifest.xml: AndroidManifest.xsl ../formats.xml
	xsltproc -o $@ AndroidManifest.xsl ../formats.xml

recoil-1024x500.png: ../recoil-512x512.png
	convert $< -crop 334x163+89+140 -sample 1024x500 -quality 95 -strip $@

clean:
	$(RM) *.apk classes.dex res/drawable/ic_launcher.png AndroidManifest.xml recoil-1024x500.png
	rm -rf classes gen assets

.PHONY: all install-dev install-emu log-dev clean

.DELETE_ON_ERROR:

=== osx/Makefile ===
VERSION = 3.3.0

BINARY = bin/RECOIL.qlgenerator/Contents/MacOS/qlrecoil 
PLIST = bin/RECOIL.qlgenerator/Contents/Info.plist

recoil-$(VERSION)-osx.dmg: bin/QuickLook $(BINARY) $(PLIST)
	hdiutil create -volname recoil-$(VERSION)-osx -srcfolder bin -format UDBZ -imagekey bzip2-level=3 -ov $@

bin/QuickLook:
	mkdir -p $(@D) && ln -s /Library/QuickLook $@

$(BINARY): qlrecoil.c ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
# As of Xcode 4.6.3, -O2 allocates a 2.5MB of stack for RECOIL_Decode, which causes non-deterministic bus errors :(
	mkdir -p $(@D) && gcc -O1 -Wall -o $@ -I .. -dynamiclib -arch x86_64 -arch i386 -mmacosx-version-min=10.5 qlrecoil.c ../recoil-stdio.c ../recoil.c -framework QuickLook -framework ApplicationServices -framework CoreFoundation && strip -x $@

$(PLIST): Info.plist.xsl ../formats.xml
	mkdir -p $(@D) && xsltproc -o $@ Info.plist.xsl ../formats.xml

%.c %.h: %.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../zx81.fnt
	cito -o $*.c -I .. $<

clean:
	rm -rf recoil-$(VERSION)-osx.dmg bin

.PHONY: clean

.DELETE_ON_ERROR:

=== win32/Makefile ===
VERSION = 3.3.0

CITO = cito
XSLTPROC = xsltproc -o $@
RECOIL_CC = mingw32-gcc -s -O2 -Wall -o $@ -I..
RECOIL_CC_DLL = $(RECOIL_CC) -shared -Wl,--kill-at -Wl,-subsystem,windows
RECOIL_GPP = mingw32-g++ -static -s -O2 -Wall -o $@ -I..
WINDRES = windres -o $@
X64_RECOIL_CC = x86_64-w64-mingw32-gcc -s -O2 -Wall -o $@ -I..
X64_RECOIL_CC_DLL = $(X64_RECOIL_CC) -shared -Wl,--kill-at -Wl,-subsystem,windows
X64_RECOIL_GPP = x86_64-w64-mingw32-g++ -static -s -O2 -Wall -o $@ -I..
X64_WINDRES = x86_64-w64-mingw32-windres -o $@
CSC = C:/Windows/Microsoft.NET/Framework/v3.5/csc.exe -nologo -o+ -out:$@
RM = rm -f
UNIX2DOS = unix2dos
GIT = git
TAR = tar
SEVENZIP = 7z a -mx=9 -bd
CANDLE = candle -ext WixUtilExtension -nologo -o $@
LIGHT = light -ext WixUtilExtension -nologo -o $@ -spdb
IMAGEMAGICK_X64_INST_DIR = c:\Program Files\ImageMagick-6.8.9-Q16
PAINT_NET_DIR = c:\Program Files\Paint.NET

WIN32_BIN = recoil2png.exe IM_MOD_RL_recoil_.dll Xrecoil.usr recoilwin.exe RECOIL.plg RecoilPaintDotNet.dll

all: $(WIN32_BIN) thumbrecoil.dll

recoil2png.exe: ../recoil2png.c ../pngsave.c ../pngsave.h ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
	$(RECOIL_CC) ../recoil2png.c ../pngsave.c ../recoil-stdio.c ../recoil.c -static -lpng -lz

IM_MOD_RL_recoil_.dll: ../imagemagick/recoilmagick.c ../formats.h ../recoil.c ../recoil.h
	$(RECOIL_CC_DLL) ../imagemagick/recoilmagick.c ../recoil.c -lCORE_RL_magick_
 
x64/IM_MOD_RL_recoil_.dll: ../imagemagick/recoilmagick.c ../formats.h ../recoil.c ../recoil.h
	test -d x64 || mkdir x64
	$(X64_RECOIL_CC_DLL) ../imagemagick/recoilmagick.c ../recoil.c -I"$(IMAGEMAGICK_X64_INST_DIR)"/include -lCORE_RL_magick_ -L"$(IMAGEMAGICK_X64_INST_DIR)"

Xrecoil.usr: xnview/Xrecoil.c ../formats.h ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
	$(RECOIL_CC_DLL) xnview/Xrecoil.c ../recoil-stdio.c ../recoil.c

recoilwin.exe: recoilwin/recoilwin.c recoilwin/recoilwin.h recoil-win32.c recoil-win32.h recoilwin/recoilwin-res.o ../pngsave.c ../pngsave.h ../formats.h ../recoil.c ../recoil.h
	$(RECOIL_CC) -I. -Wl,-subsystem,windows recoilwin/recoilwin.c recoil-win32.c recoilwin/recoilwin-res.o ../pngsave.c ../recoil.c -lcomctl32 -lcomdlg32 -lgdi32 -static -lpng -lz

recoilwin/recoilwin-res.o: recoilwin/recoilwin.rc recoilwin/recoilwin.h recoil.ico ../recoil.h
	$(WINDRES) -I .. recoilwin/recoilwin.rc

thumbrecoil.dll: thumbrecoil/thumbrecoil.cpp ../formats.h recoil-win32.c recoil-win32.h ../recoil.c ../recoil.h
	$(RECOIL_GPP) -I. -shared -Wl,-subsystem,windows -Wl,--kill-at thumbrecoil/thumbrecoil.cpp recoil-win32.c ../recoil.c -lgdi32 -lole32 -luuid

x64/thumbrecoil.dll: thumbrecoil/thumbrecoil.cpp ../formats.h recoil-win32.c recoil-win32.h ../recoil.c ../recoil.h
	test -d x64 || mkdir x64
	$(X64_RECOIL_GPP) -I. -shared -Wl,-subsystem,windows -Wl,--kill-at thumbrecoil/thumbrecoil.cpp recoil-win32.c ../recoil.c -lgdi32 -lole32 -luuid

RECOIL.plg: imagine/recoilimagine.c ../formats.h ../recoil.c ../recoil.h
	$(RECOIL_CC_DLL) imagine/recoilimagine.c ../recoil.c

x64/RECOIL.plg64: imagine/recoilimagine.c ../formats.h ../recoil.c ../recoil.h
	test -d x64 || mkdir x64
	$(X64_RECOIL_CC_DLL) imagine/recoilimagine.c ../recoil.c

RecoilPaintDotNet.dll: paint.net/RecoilPaintDotNet.cs paint.net/RecoilFileTypeFactory.cs paint.net/RECOIL.cs
	$(CSC) -t:library paint.net\\RecoilPaintDotNet.cs paint.net\\RecoilFileTypeFactory.cs paint.net\\RECOIL.cs -r:"$(PAINT_NET_DIR)\PaintDotNet.Base.dll" -r:"$(PAINT_NET_DIR)\PaintDotNet.Data.dll"

paint.net/RecoilFileTypeFactory.cs: paint.net/RecoilFileTypeFactory.cs.xsl ../formats.xml
	$(XSLTPROC) paint.net/RecoilFileTypeFactory.cs.xsl ../formats.xml

paint.net/RECOIL.cs: ../recoil.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../zx81.fnt
	$(CITO) -o $@ -I .. -n Recoil $<

../formats.h: ../formats.h.xsl ../formats.xml
	$(XSLTPROC) ../formats.h.xsl ../formats.xml

# http://www.cmcrossroads.com/article/rules-multiple-outputs-gnu-make
%.c %.h: %.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../zx81.fnt
	$(CITO) -o $*.c -I .. $<

recoil.ico: ../recoil-512x512.png
	convert $< -resize 48x48 $@

COPYING.txt: ../COPYING
	$(UNIX2DOS) <$< >$@

setup: ../../recoil-$(VERSION)-win32.msi

../../recoil-$(VERSION)-win32.msi: setup/recoil.wixobj recoil.ico setup/dialog.jpg setup/banner.jpg setup/license.rtf $(WIN32_BIN) thumbrecoil.dll
	$(LIGHT) -ext WixUIExtension -sice:ICE69 $<

setup/recoil.wixobj: setup/recoil.wxs setup/formats.wxi
	$(CANDLE) -dVERSION=$(VERSION) $<

setup/formats.wxi: setup/formats.wxi.xsl ../formats.xml
	$(XSLTPROC) setup/formats.wxi.xsl ../formats.xml

setup/dialog.jpg: ../recoil-512x512.png
	convert $< -resize 148 -extent 493x312-16-82 -strip $@

setup/banner.jpg: ../recoil-512x512.png
	convert $< -resize 48 -extent 493x58-425-5 -strip $@

x64-setup: ../../recoil-$(VERSION)-win64.msi

../../recoil-$(VERSION)-win64.msi: x64/recoil.wixobj recoil.ico setup/dialog.jpg setup/banner.jpg setup/license.rtf $(WIN32_BIN) thumbrecoil.dll x64/thumbrecoil.dll x64/IM_MOD_RL_recoil_.dll x64/RECOIL.plg64
	$(LIGHT) -ext WixUIExtension -sice:ICE69 -sice:ICE80 -b setup $<

x64/recoil.wixobj: setup/recoil.wxs setup/formats.wxi
	test -d x64 || mkdir x64
	$(CANDLE) -arch x64 -dVERSION=$(VERSION) $<

../MANIFEST:
	test -e ../.git && ( \
		($(GIT) --git-dir=../.git ls-files | grep -vF .gitignore \
			&& echo MANIFEST && echo recoil.c && echo recoil.h) | sort >$@; \
	)

srcdist: ../MANIFEST ../recoil.c ../recoil.h
	$(RM) ../../recoil-$(VERSION).tar.gz
	cd .. && $(TAR) -c --numeric-owner --owner=0 --group=0 --mode=644 -T MANIFEST --transform=s,,recoil-$(VERSION)/, | $(SEVENZIP) -tgzip -si ../recoil-$(VERSION).tar.gz

dist: srcdist ../../recoil-$(VERSION)-win32.zip setup x64-setup

../../recoil-$(VERSION)-win32.zip: COPYING.txt $(WIN32_BIN)
	$(RM) ../../recoil-$(VERSION)-win32.zip
	$(SEVENZIP) -tzip ../../recoil-$(VERSION)-win32.zip COPYING.txt $(WIN32_BIN)

clean:
	$(RM) $(WIN32_BIN) thumbrecoil.dll recoilwin/recoilwin-res.o recoil.ico COPYING.txt \
		setup/formats.wxi setup/recoil.wixobj setup/dialog.jpg setup/banner.jpg x64/recoil.wixobj \
		x64/IM_MOD_RL_recoil_.dll x64/thumbrecoil.dll x64/RECOIL.plg64 RecoilPaintDotNet.dll \
		paint.net/RecoilFileTypeFactory.cs paint.net/RECOIL.cs ../formats.h

.PHONY: all clean setup x64-setup ../MANIFEST srcdist dist www

.DELETE_ON_ERROR:

=== www/Makefile ===
all: index.html formats.html html5recoil.html news.html contact.html recoil.js

index.html: www.xsl index.xml
	xsltproc --stringparam title Home $^ | xmllint --valid --nonet -o $@ -

formats.html: www.xsl ../formats.xml
	xsltproc --stringparam title Formats $^ | xmllint --valid --nonet -o $@ -

news.html: www.xsl news.xml
	xsltproc --stringparam title News $^ | xmllint --valid --nonet -o $@ -

contact.html: www.xsl contact.xml
	xsltproc --stringparam title Contact $^ | xmllint --valid --nonet -o $@ -

html5recoil.html: www.xsl html5recoil.xml
	xsltproc --stringparam title HTML5 $^ \
		| grep -v '^<!DOCTYPE ' \
		| xmllint --schema /etc/xml/xhtml5.xsd --nonet -o $@ -

recoil.js: ../recoil.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../zx81.fnt
	cito -o $@ -I .. $<

clean:
	$(RM) index.html formats.html html5recoil.html news.html contact.html recoil.js

.PHONY: all clean

.DELETE_ON_ERROR:

=== debian/changelog ===
recoil (3.3.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Fri, 7 Aug 2015 17:56:32 +0200

recoil (3.2.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Wed, 28 Jan 2015 10:42:15 +0100

recoil (3.1.0-1) UNRELEASED; urgency=low

  * First deb packaging.

 -- Piotr Fusik <fox@scene.pl>  Wed, 25 Jun 2014 09:58:19 +0200

=== debian/control ===
Source: recoil
Maintainer: Piotr Fusik <fox@scene.pl>
Section: graphics
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), gcc, libpng12-dev, xsltproc

Package: recoil-2png
Architecture: any
Depends: ${shlibs:Depends}
Description: Provides "recoil2png" command-line converter of pictures
 in native formats of Amiga, Amstrad CPC, Apple II,
 Atari 8-bit/Portfolio/ST/Falcon, BBC Micro, Commodore 16, Commodore 64,
 Macintosh 128K, MSX, Oric, SAM Coupe, TRS-80, TRS-80 Color Computer,
 ZX81 and ZX Spectrum computers.

Package: recoil-thumbnailer
Architecture: all
Depends: recoil-2png
Description: GNOME thumbnailer for pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/Falcon, BBC Micro,
 Commodore 16, Commodore 64, Macintosh 128K, MSX, Oric, SAM Coupe, TRS-80,
 TRS-80 Color Computer, ZX81 and ZX Spectrum computers.
